GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | List of all members
eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingPortTypeV2 Interface Reference

## Public Member Functions
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelResponse | cancelParcel ( @WebParam(partName="cancelParcelRequestParameter", name="CancelParcelRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v2/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter cancelParcelRequestParameter) throws InvalidShipmentIDMessage, InvalidFieldValueMessage, MandatoryFieldMissingMessage, InsufficientPermissionMessage
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnResponse | createReturn ( @WebParam(partName="shipment", name="CreateReturnRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v2/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnRequestParameter shipment) throws InvalidFieldValueMessage, MandatoryFieldMissingMessage
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreatePickupResponse | createPickup ( @WebParam(partName="shipment", name="CreatePickupRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v2/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreatePickupRequestParameter shipment) throws InvalidFieldValueMessage, MandatoryFieldMissingMessage
eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightResponse | updateParcelWeight ( @WebParam(partName="updateParcelWeightRequestParameter", name="UpdateParcelWeightRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v2/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter updateParcelWeightRequestParameter) throws InvalidShipmentIDMessage, InvalidFieldValueMessage, MandatoryFieldMissingMessage

## Detailed Description

This class was generated by Apache CXF 3.4.7 Generated source version: 3.4.7

Definition at line 18 of file ShipmentProcessingPortTypeV2.java.

## Member Function Documentation

## ◆ cancelParcel()

eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelResponse eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingPortTypeV2.cancelParcel | ( | @WebParam(partName="cancelParcelRequestParameter", name="CancelParcelRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v2/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CancelParcelRequestParameter | cancelParcelRequestParameter | ) | throws InvalidShipmentIDMessage, InvalidFieldValueMessage, MandatoryFieldMissingMessage, InsufficientPermissionMessage

## ◆ createPickup()

eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreatePickupResponse eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingPortTypeV2.createPickup | ( | @WebParam(partName="shipment", name="CreatePickupRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v2/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreatePickupRequestParameter | shipment | ) | throws InvalidFieldValueMessage, MandatoryFieldMissingMessage

## ◆ createReturn()

eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnResponse eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingPortTypeV2.createReturn | ( | @WebParam(partName="shipment", name="CreateReturnRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v2/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.CreateReturnRequestParameter | shipment | ) | throws InvalidFieldValueMessage, MandatoryFieldMissingMessage

## ◆ updateParcelWeight()

eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightResponse eu.gls_group.fpcs.v2.shipmentprocessing.ShipmentProcessingPortTypeV2.updateParcelWeight | ( | @WebParam(partName="updateParcelWeightRequestParameter", name="UpdateParcelWeightRequestParameter", targetNamespace="http://fpcs.gls-group.eu/v2/ShipmentProcessing/types") eu.glsgroup.fpcs.datatypes.soap.v2.shipmentprocessing.UpdateParcelWeightRequestParameter | updateParcelWeightRequestParameter | ) | throws InvalidShipmentIDMessage, InvalidFieldValueMessage, MandatoryFieldMissingMessage

The documentation for this interface was generated from the following file:

- ShipmentProcessingPortTypeV2.java